﻿using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Murashki
{
    public partial class Form1 : Form
    {
        ArrayList a = new ArrayList();

        public Form1()
        {
            InitializeComponent();
        }

        private void exitToolStripMenuItem_Click(object sender, EventArgs e)
        {
            
            if ( MessageBox.Show("Закрыть?",
                                 "Мурашки",
                                 MessageBoxButtons.YesNo,
                                 MessageBoxIcon.Question) == DialogResult.Yes)
                        Close();
        }

        private void panel1_Paint(object sender, PaintEventArgs e)
        {
            foreach (Figures f in a) f.Paint(e.Graphics);
        }

        private void panel1_MouseClick(object sender, MouseEventArgs e)
        {
            if (e.Button == MouseButtons.Left)
                a.Add(new Circles(e.X, e.Y));
            else a.Add(new Square(e.X, e.Y));

            panel1.Invalidate();
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            foreach (Figures f in a) f.Move(panel1.Size);
            panel1.Invalidate();
        }

        private void startToolStripMenuItem_Click(object sender, EventArgs e)
        {
            timer1.Enabled = true;
        }

        private void stopToolStripMenuItem_Click(object sender, EventArgs e)
        {
            timer1.Enabled = false;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (timer1.Interval>20) timer1.Interval -= 10;

        }

        private void button2_Click(object sender, EventArgs e)
        {
            timer1.Interval += 10;
        }
    }
}
